VRRP
4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getGridOswVrrp | GET | Get Switch Vrrp list |
| createOswVrrp | POST | Create Switch Vrrp |
| deleteOswVrrp | DELETE | Delete Switch Vrrp |
| modifyOswVrrp | PUT | Modify Switch Vrrp |
getGridOswVrrp
GET /openapi/v1/{omadacId}/sites/{siteId}/osw-vrrp
Get Switch Vrrp list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridOswVrrp",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Switch Vrrp list.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
createOswVrrp
POST /openapi/v1/{omadacId}/sites/{siteId}/osw-vrrp
Create Switch Vrrp
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema OswVrrpConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | VRRP name, it should be visible ASCII, and should contain 1 to 64 characters. |
vrId | integer | yes | Virtual Router ID, its value should be within the range of 1-255. |
deviceList | array<OswVrrpDeviceConfigOpenApiVO> | no | Up to 8 entries are allowed for the deviceList, and it cannot be empty. |
virtualIpv4s | array<string> | no | Up to 32 entries are allowed for the virtualIpv4s. |
ipV6LinkLocal | string | no | Virtual IpV6LinkLocal Address |
ipV6Global | array<string> | no | Up to 15 entries are allowed for the ipV6Global. |
advertiseTimer | integer | yes | AdvertiseTimer should be within the range of 1-255, the default setting value is 100 and the unit is millimeter second. |
preemptMode | boolean | yes | Whether the preemption mode is enabled or not, it defaults to enabled. |
delayTime | integer | yes | DelayTime should be within the range of 0-255, default setting is 0 and the unit is second |
authentication | integer | yes | Authentication type should be a value as follows: 0: NONE, 1: Simple, 2: MD5 |
key | string | no | Key of VRRP |
// omada_call_operation
{
"operationId": "createOswVrrp",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create Switch Vrrp.
The interface requires one of the permissions:
Device Config Page View Only
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33503 - This network does not exist.
-34223 - When the rule enabled, the same VLAN should not be bound with the same device port/LAG in different rules. Please check the settings.
-39700 - Switch does not exist
-40100 - This switch VRRP Name already exists.
-40101 - Virtual IP cannot be duplicated.
-40102 - Invalid Virtual IP address.
-40103 - Switch VLAN interface is disabled.
-40104 - Virtual IP cannot be empty.
-40105 - VLAN interface and tracked interface cannot be the same.
-40107 - The combination of VRID and VLAN interface for switch already exists
-40110 - The tracked interface should not be empty when Reduced Priority is specified.
-40112 - VRRP key cannot be empty when authentication type is MD5 or simple.
-40113 - VRRP key should be empty when authentication type is none.
-40114 - The number of VRRP entries has reached the limit.
-40115 - The number of VRRP groups that a device can join has reached the limit.
-40116 - The IPv6 link-local address is invalid.
-40117 - The value of reduced priority must be smaller than the value of priority.
deleteOswVrrp
DELETE /openapi/v1/{omadacId}/sites/{siteId}/osw-vrrp/{oswVrrpId}
Delete Switch Vrrp
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
oswVrrpId | path | string | yes | Osw Vrrp ID |
// omada_call_operation
{
"operationId": "deleteOswVrrp",
"params": {
"siteId": "<siteId>",
"oswVrrpId": "<oswVrrpId>"
}
}Details, permissions and error codes
Delete Switch Vrrp.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
modifyOswVrrp
PUT /openapi/v1/{omadacId}/sites/{siteId}/osw-vrrp/{oswVrrpId}
Modify Switch Vrrp
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
oswVrrpId | path | string | yes | Osw Vrrp ID |
Request body — application/json (required) — schema OswVrrpConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | VRRP name, it should be visible ASCII, and should contain 1 to 64 characters. |
vrId | integer | yes | Virtual Router ID, its value should be within the range of 1-255. |
deviceList | array<OswVrrpDeviceConfigOpenApiVO> | no | Up to 8 entries are allowed for the deviceList, and it cannot be empty. |
virtualIpv4s | array<string> | no | Up to 32 entries are allowed for the virtualIpv4s. |
ipV6LinkLocal | string | no | Virtual IpV6LinkLocal Address |
ipV6Global | array<string> | no | Up to 15 entries are allowed for the ipV6Global. |
advertiseTimer | integer | yes | AdvertiseTimer should be within the range of 1-255, the default setting value is 100 and the unit is millimeter second. |
preemptMode | boolean | yes | Whether the preemption mode is enabled or not, it defaults to enabled. |
delayTime | integer | yes | DelayTime should be within the range of 0-255, default setting is 0 and the unit is second |
authentication | integer | yes | Authentication type should be a value as follows: 0: NONE, 1: Simple, 2: MD5 |
key | string | no | Key of VRRP |
// omada_call_operation
{
"operationId": "modifyOswVrrp",
"params": {
"siteId": "<siteId>",
"oswVrrpId": "<oswVrrpId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Switch Vrrp.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40100 - This switch VRRP Name already exists.
-40101 - Virtual IP cannot be duplicated.
-40102 - Invalid Virtual IP address.
-40104 - Virtual IP cannot be empty.
-40107 - The combination of VRID and VLAN interface for switch already exists
-40109 - The target VRRP does not exist.
-40112 - VRRP key cannot be empty when authentication type is MD5 or simple.
-40113 - VRRP key should be empty when authentication type is none.
-40116 - The IPv6 link-local address is invalid.